Skip to content
Ordinal
Esc
↑↓navigate↵open⌘Jpreview

Delete a comment

Delete a comment from a post. Only the author of the comment can delete it.

DELETE/comments/{commentId}
Authorization
AuthorizationBearer token · headerrequired

API key authentication. Generate an API key from your workspace settings.

Path parameters
commentIdstring<uuid>required

Comment ID (UUID)

Responses
200

Comment deleted successfully

idstring<uuid>

Unique identifier for the comment

messagestring

The comment text. Mentions use the format @[Display Name](userId)

postIdstring<uuid>

The post this comment belongs to

createdAtstring<date-time>

When the comment was created

updatedAtstring<date-time>

When the comment was last updated

userCommentUser

User who created a comment

Show properties
idstring<uuid>
firstNamestring | null
lastNamestring | null
emailstring<email>
401

Unauthorized - Missing or invalid API key

codestring
messagestring
403

Forbidden - Insufficient permissions

codestring
messagestring
404

Not Found - Resource does not exist

codestring
messagestring
Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://app.tryordinal.com/api/v1/comments/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
  "message": "This comment has been deleted",
  "postId": "d4f8e2a1-3b7c-4e9d-8f2a-1c5b9e7d3a6f",
  "createdAt": "2026-02-04T10:30:00.000Z",
  "updatedAt": "2026-02-04T10:30:00.000Z",
  "user": {
    "id": "550e8400-e29b-41d4-a716-446655440001",
    "firstName": "John",
    "lastName": "Doe",
    "email": "john@example.com"
  }
}